//these are the only two variables you need to edit!

//change this to your desired skincolors
local flashColors = {
	skincolors[SKINCOLOR_USERL],
	skincolors[SKINCOLOR_CONTESTWINNERL],
	skincolors[SKINCOLOR_JUDGEL],
	skincolors[SKINCOLOR_MODERATORL],
	skincolors[SKINCOLOR_DEVELOPERL],
	skincolors[SKINCOLOR_ADMINISTRATORL],
	skincolors[SKINCOLOR_SONICFOREVERL],
	skincolors[SKINCOLOR_TAILSFOREVERL],
	skincolors[SKINCOLOR_KNUCKLESFOREVERL],
	skincolors[SKINCOLOR_AMYFOREVERL],
	skincolors[SKINCOLOR_FANGFOREVERL],
	skincolors[SKINCOLOR_SONICANGELL],
	skincolors[SKINCOLOR_TAILSANGELL],
	skincolors[SKINCOLOR_KNUCKLESANGELL],
	skincolors[SKINCOLOR_AMYANGELL],
	skincolors[SKINCOLOR_FANGANGELL],
	skincolors[SKINCOLOR_BROWNFOREVERL],
	skincolors[SKINCOLOR_CTRNITROFUELEDL],
	skincolors[SKINCOLOR_DEPRESSIOL],
	skincolors[SKINCOLOR_CREAML],
	skincolors[SKINCOLOR_DOUGHL],
	skincolors[SKINCOLOR_WOLFL],
	skincolors[SKINCOLOR_BANANL],
	skincolors[SKINCOLOR_GREENFLOWERWALLL],
	skincolors[SKINCOLOR_FANGTASTICCOLORL],
	skincolors[SKINCOLOR_STATUEL],
	skincolors[SKINCOLOR_REALBLACKL],
	skincolors[SKINCOLOR_BORNINGGRAYDAYSL],
	skincolors[SKINCOLOR_PURPLEFOREVERL],
	skincolors[SKINCOLOR_SUBDREAML],
	skincolors[SKINCOLOR_WEREHOGL]
}
local flashDelay = 1  //change this to how many tics it takes to animate

local rampPos = 1
local rampDir = true
local ramps = {}

for curcol = 1, table.maxn(flashColors), 1
	//convert the ramp to a table
	ramps[curcol] = {{}}
	for i = 0, 15, 1
		ramps[curcol][1][i+1] = flashColors[curcol].ramp[i]
	end

	//create the offset versions of the ramp
	for i = 2, 16,1
		ramps[curcol][i] = {}

		for pos,val in ipairs(ramps[curcol][i-1]) do
			if not (pos == 16) then
				ramps[curcol][i][pos+1] = val
			else
				ramps[curcol][i][1] = val
			end
		end
	end
end

local function RampChange()
	if (rampDir) then
		rampPos = $1+1
	else
		rampPos = $1-1
	end
end

local function RampLoop()
	if not (leveltime % flashDelay) then

		RampChange()
		
		//position is too high/low, reverse your direction
		if not (ramps[1][rampPos])
			rampDir = not rampDir
			RampChange()
		end
		
		for i = 1, table.maxn(ramps), 1
			flashColors[i].ramp = ramps[i][rampPos]
		end
	end
end

addHook("ThinkFrame", RampLoop)